// הפונקציה שתבצע את המעבר לדף הבא
function startSwitching() {
    console.log("הטיימר מתחיל לפעול");
    const goToNextPage = () => {
        const currentUrl = new URL(window.location.href);
        let currentPage = parseInt(currentUrl.searchParams.get("page")) || 1;

        console.log("הדף הנוכחי הוא:", currentPage);
        currentPage++;
        currentUrl.searchParams.set("page", currentPage);
        window.location.href = currentUrl.toString(); // טען את הדף הבא
    };

    // הפעל טיימר שיעבור דף כל חמש דקות
    window.nextPageInterval = setInterval(goToNextPage,  5 * 60 * 1000);
    console.log("הטיימר פועל!");
}

// נוודא שהסקריפט רץ רק בדומיין הנכון
if (window.location.hostname === "www.thingiverse.com") {
    chrome.storage.local.get(["isRunning"], (result) => {
        console.log("מצב ה-isRunning:", result.isRunning); // לוג למעקב
        if (result.isRunning && !window.nextPageInterval) {
            startSwitching();
        }
    });
} else {
    console.log("הסקריפט לא רץ. הדומיין לא תואם.");
}
